% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pwOmics_get_functions.R
\name{getOmicsallGeneIDs}
\alias{getOmicsallGeneIDs}
\title{Get all gene IDs.}
\usage{
getOmicsallGeneIDs(data_omics)
}
\arguments{
\item{data_omics}{OmicsData object.}
}
\value{
all gene IDs.
}
\description{
This function returns the gene IDs of all genes (transcripts) measured.
}
\examples{
\dontrun{
data(OmicsExampleData)
data_omics = readOmics(tp_prots = c(0.25, 1, 4, 8, 13, 18, 24), 
tp_genes = c(1, 4, 8, 13, 18, 24), OmicsExampleData,
PWdatabase = c("biocarta", "kegg", "nci", "reactome"), 
TFtargetdatabase = c("userspec"))
getOmicsallGeneIDs(data_omics)
}
}
\keyword{manip}

